package com.steerinfo.ems.trmindex.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class TRmIndex implements IBasePO<String> {
    /**
     * 指标ID(INDEXID,VARCHAR,40)
     */
    @ApiModelProperty(value="指标ID",required=false)
    private String indexid;

    /**
     * 指标名称(INDEXNAME,VARCHAR,60)
     */
    @ApiModelProperty(value="指标名称",required=true)
    private String indexname;

    /**
     * 指标描述(INDEXDESC,VARCHAR,100)
     */
    @ApiModelProperty(value="指标描述",required=true)
    private String indexdesc;

    /**
     * 能介指标(ISENERGY,VARCHAR,1)
     */
    @ApiModelProperty(value="能介指标",required=true)
    private String isenergy;

    /**
     * 工序指标(ISWORKPROC,VARCHAR,1)
     */
    @ApiModelProperty(value="工序指标",required=true)
    private String isworkproc;

    /**
     * 全厂指标(ISFACTORY,VARCHAR,1)
     */
    @ApiModelProperty(value="全厂指标",required=true)
    private String isfactory;

    /**
     * 指标类型1(TYPE1,VARCHAR,40)
     */
    @ApiModelProperty(value="指标类型1",required=true)
    private String type1;

    /**
     * 指标类型2(TYPE2,VARCHAR,40)
     */
    @ApiModelProperty(value="指标类型2",required=true)
    private String type2;

    /**
     * 显示顺序(SEQNO,VARCHAR,10)
     */
    @ApiModelProperty(value="显示顺序",required=true)
    private String seqno;

    /**
     * 指标类型(ITEMTYPE,VARCHAR,40)
     */
    @ApiModelProperty(value="指标类型",required=true)
    private String itemtype;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.indexid;
    }

    @Override
    public void setId(String indexid) {
        this.indexid = indexid == null ? null : indexid.trim();
    }

    public String getIndexid() {
        return indexid;
    }

    public void setIndexid(String indexid) {
        this.indexid = indexid == null ? null : indexid.trim();
    }

    public String getIndexname() {
        return indexname;
    }

    public void setIndexname(String indexname) {
        this.indexname = indexname == null ? null : indexname.trim();
    }

    public String getIndexdesc() {
        return indexdesc;
    }

    public void setIndexdesc(String indexdesc) {
        this.indexdesc = indexdesc == null ? null : indexdesc.trim();
    }

    public String getIsenergy() {
        return isenergy;
    }

    public void setIsenergy(String isenergy) {
        this.isenergy = isenergy == null ? null : isenergy.trim();
    }

    public String getIsworkproc() {
        return isworkproc;
    }

    public void setIsworkproc(String isworkproc) {
        this.isworkproc = isworkproc == null ? null : isworkproc.trim();
    }

    public String getIsfactory() {
        return isfactory;
    }

    public void setIsfactory(String isfactory) {
        this.isfactory = isfactory == null ? null : isfactory.trim();
    }

    public String getType1() {
        return type1;
    }

    public void setType1(String type1) {
        this.type1 = type1 == null ? null : type1.trim();
    }

    public String getType2() {
        return type2;
    }

    public void setType2(String type2) {
        this.type2 = type2 == null ? null : type2.trim();
    }

    public String getSeqno() {
        return seqno;
    }

    public void setSeqno(String seqno) {
        this.seqno = seqno == null ? null : seqno.trim();
    }

    public String getItemtype() {
        return itemtype;
    }

    public void setItemtype(String itemtype) {
        this.itemtype = itemtype == null ? null : itemtype.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", indexid=").append(indexid);
        sb.append(", indexname=").append(indexname);
        sb.append(", indexdesc=").append(indexdesc);
        sb.append(", isenergy=").append(isenergy);
        sb.append(", isworkproc=").append(isworkproc);
        sb.append(", isfactory=").append(isfactory);
        sb.append(", type1=").append(type1);
        sb.append(", type2=").append(type2);
        sb.append(", seqno=").append(seqno);
        sb.append(", itemtype=").append(itemtype);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}